/*   1:    */ package cs.cinvestav;
/*   2:    */ 
/*   3:    */ import java.awt.Color;
/*   4:    */ 
/*   5:    */ public class LibertadEspecial
/*   6:    */ {
/*   7:  7 */   public static String ETIQUETA_SIMPLE = "";
/*   8:  8 */   public static String ETIQUETA_OJO = "O";
/*   9:  9 */   public static String ETIQUETA_ESCALERA = "E";
/*  10: 10 */   public static String ETIQUETA_RED = "N";
/*  11: 11 */   public static String ETIQUETA_INVASION = "I";
/*  12: 12 */   public static String ETIQUETA_REDUCCION = "R";
/*  13:    */   private int posicionX;
/*  14:    */   private int posicionY;
/*  15:    */   private int color;
/*  16:    */   private Color colorDibujo;
/*  17:    */   private String nombre;
/*  18:    */   
/*  19:    */   public int getPosicionX()
/*  20:    */   {
/*  21: 22 */     return this.posicionX;
/*  22:    */   }
/*  23:    */   
/*  24:    */   public void setPosicionX(int posicionX)
/*  25:    */   {
/*  26: 25 */     this.posicionX = posicionX;
/*  27:    */   }
/*  28:    */   
/*  29:    */   public int getPosicionY()
/*  30:    */   {
/*  31: 28 */     return this.posicionY;
/*  32:    */   }
/*  33:    */   
/*  34:    */   public void setPosicionY(int posicionY)
/*  35:    */   {
/*  36: 31 */     this.posicionY = posicionY;
/*  37:    */   }
/*  38:    */   
/*  39:    */   public int getColor()
/*  40:    */   {
/*  41: 34 */     return this.color;
/*  42:    */   }
/*  43:    */   
/*  44:    */   public void setColor(int color)
/*  45:    */   {
/*  46: 37 */     this.color = color;
/*  47:    */   }
/*  48:    */   
/*  49:    */   public String getNombre()
/*  50:    */   {
/*  51: 40 */     return this.nombre;
/*  52:    */   }
/*  53:    */   
/*  54:    */   public void setNombre(String nombre)
/*  55:    */   {
/*  56: 43 */     this.nombre = nombre;
/*  57:    */   }
/*  58:    */   
/*  59:    */   public Color getColorDibujo()
/*  60:    */   {
/*  61: 46 */     return this.colorDibujo;
/*  62:    */   }
/*  63:    */   
/*  64:    */   public void setColorDibujo(Color colorDibujo)
/*  65:    */   {
/*  66: 49 */     this.colorDibujo = colorDibujo;
/*  67:    */   }
/*  68:    */   
/*  69:    */   public LibertadEspecial(int posicionX, int posicionY, int color)
/*  70:    */   {
/*  71: 52 */     this.posicionX = posicionX;
/*  72: 53 */     this.posicionY = posicionY;
/*  73: 54 */     this.color = color;
/*  74: 56 */     if (color == ProcesadorTablero.ETIQUETA_ESPACIO)
/*  75:    */     {
/*  76: 57 */       this.nombre = ETIQUETA_SIMPLE;
/*  77: 58 */       this.colorDibujo = Color.BLACK;
/*  78:    */     }
/*  79: 60 */     else if (color == ProcesadorTablero.ETIQUETA_OJO)
/*  80:    */     {
/*  81: 61 */       this.nombre = ETIQUETA_OJO;
/*  82: 62 */       this.colorDibujo = Color.WHITE;
/*  83:    */     }
/*  84: 64 */     else if ((color == ProcesadorTablero.ETIQUETA_ESCALERA_BLANCA) || (color == ProcesadorTablero.ETIQUETA_ESCALERA_NEGRA))
/*  85:    */     {
/*  86: 65 */       this.nombre = ETIQUETA_ESCALERA;
/*  87: 66 */       if (color == ProcesadorTablero.ETIQUETA_ESCALERA_BLANCA) {
/*  88: 67 */         this.colorDibujo = Color.WHITE;
/*  89:    */       } else {
/*  90: 69 */         this.colorDibujo = Color.BLACK;
/*  91:    */       }
/*  92:    */     }
/*  93: 72 */     else if ((color == ProcesadorTablero.ETIQUETA_RED_BLANCA) || (color == ProcesadorTablero.ETIQUETA_RED_NEGRA))
/*  94:    */     {
/*  95: 73 */       this.nombre = ETIQUETA_RED;
/*  96: 74 */       if (color == ProcesadorTablero.ETIQUETA_RED_BLANCA) {
/*  97: 75 */         this.colorDibujo = Color.WHITE;
/*  98:    */       } else {
/*  99: 77 */         this.colorDibujo = Color.BLACK;
/* 100:    */       }
/* 101:    */     }
/* 102: 80 */     else if ((color == ProcesadorTablero.ETIQUETA_INVASION_BLANCA) || (color == ProcesadorTablero.ETIQUETA_INVASION_NEGRA))
/* 103:    */     {
/* 104: 81 */       this.nombre = ETIQUETA_INVASION;
/* 105: 82 */       if (color == ProcesadorTablero.ETIQUETA_INVASION_BLANCA) {
/* 106: 83 */         this.colorDibujo = Color.WHITE;
/* 107:    */       } else {
/* 108: 85 */         this.colorDibujo = Color.BLACK;
/* 109:    */       }
/* 110:    */     }
/* 111: 88 */     else if ((color == ProcesadorTablero.ETIQUETA_REDUCCION_BLANCA) || (color == ProcesadorTablero.ETIQUETA_REDUCCION_NEGRA))
/* 112:    */     {
/* 113: 89 */       this.nombre = ETIQUETA_REDUCCION;
/* 114: 90 */       if (color == ProcesadorTablero.ETIQUETA_REDUCCION_BLANCA) {
/* 115: 91 */         this.colorDibujo = Color.WHITE;
/* 116:    */       } else {
/* 117: 93 */         this.colorDibujo = Color.BLACK;
/* 118:    */       }
/* 119:    */     }
/* 120:    */   }
/* 121:    */   
/* 122:    */   public int hashCode()
/* 123:    */   {
/* 124: 99 */     int prime = 31;
/* 125:100 */     int result = 1;
/* 126:101 */     result = 31 * result + this.color;
/* 127:102 */     result = 31 * result + (this.colorDibujo == null ? 0 : this.colorDibujo.hashCode());
/* 128:    */     
/* 129:104 */     result = 31 * result + (this.nombre == null ? 0 : this.nombre.hashCode());
/* 130:105 */     result = 31 * result + this.posicionX;
/* 131:106 */     result = 31 * result + this.posicionY;
/* 132:107 */     return result;
/* 133:    */   }
/* 134:    */   
/* 135:    */   public boolean equals(Object obj)
/* 136:    */   {
/* 137:111 */     if (this == obj) {
/* 138:112 */       return true;
/* 139:    */     }
/* 140:113 */     if (obj == null) {
/* 141:114 */       return false;
/* 142:    */     }
/* 143:115 */     if (getClass() != obj.getClass()) {
/* 144:116 */       return false;
/* 145:    */     }
/* 146:117 */     LibertadEspecial other = (LibertadEspecial)obj;
/* 147:118 */     if (this.color != other.color) {
/* 148:119 */       return false;
/* 149:    */     }
/* 150:120 */     if (this.colorDibujo == null)
/* 151:    */     {
/* 152:121 */       if (other.colorDibujo != null) {
/* 153:122 */         return false;
/* 154:    */       }
/* 155:    */     }
/* 156:123 */     else if (!this.colorDibujo.equals(other.colorDibujo)) {
/* 157:124 */       return false;
/* 158:    */     }
/* 159:125 */     if (this.nombre == null)
/* 160:    */     {
/* 161:126 */       if (other.nombre != null) {
/* 162:127 */         return false;
/* 163:    */       }
/* 164:    */     }
/* 165:128 */     else if (!this.nombre.equals(other.nombre)) {
/* 166:129 */       return false;
/* 167:    */     }
/* 168:130 */     if (this.posicionX != other.posicionX) {
/* 169:131 */       return false;
/* 170:    */     }
/* 171:132 */     if (this.posicionY != other.posicionY) {
/* 172:133 */       return false;
/* 173:    */     }
/* 174:134 */     return true;
/* 175:    */   }
/* 176:    */ }



/* Location:           C:\Users\Arturo\Documents\ProyectoIsing\ProyectoIsing\GoIsingAPI - copia\lib\GoIsingLibrary\

 * Qualified Name:     cs.cinvestav.LibertadEspecial

 * JD-Core Version:    0.7.0.1

 */