/*   1:    */ package cs.cinvestav;
/*   2:    */ 
/*   3:    */ import java.util.ArrayList;
/*   4:    */ 
/*   5:    */ public class NodoCFG
/*   6:    */   implements Comparable<NodoCFG>
/*   7:    */ {
/*   8:  6 */   public static int COLOR_NEGRO = -1;
/*   9:  7 */   public static int COLOR_BLANCO = 1;
/*  10:    */   private int id;
/*  11:    */   private int libertades;
/*  12:    */   private int tamanio;
/*  13:    */   private int ojos;
/*  14:    */   private int color;
/*  15:    */   private ArrayList<Punto> ubicacionPiedras;
/*  16:    */   private NodoCFG previo;
/*  17: 18 */   private double distanciaMinima = (1.0D / 0.0D);
/*  18: 19 */   private ArrayList<AristaCFG> aristas = new ArrayList();
/*  19:    */   
/*  20:    */   public int getLibertades()
/*  21:    */   {
/*  22: 22 */     return this.libertades;
/*  23:    */   }
/*  24:    */   
/*  25:    */   public void setLibertades(int libertades)
/*  26:    */   {
/*  27: 26 */     this.libertades = libertades;
/*  28:    */   }
/*  29:    */   
/*  30:    */   public int getTamanio()
/*  31:    */   {
/*  32: 30 */     return this.tamanio;
/*  33:    */   }
/*  34:    */   
/*  35:    */   public void setTamanio(int tamanio)
/*  36:    */   {
/*  37: 34 */     this.tamanio = tamanio;
/*  38:    */   }
/*  39:    */   
/*  40:    */   public int getOjos()
/*  41:    */   {
/*  42: 38 */     return this.ojos;
/*  43:    */   }
/*  44:    */   
/*  45:    */   public void setOjos(int ojos)
/*  46:    */   {
/*  47: 42 */     this.ojos = ojos;
/*  48:    */   }
/*  49:    */   
/*  50:    */   public int getColor()
/*  51:    */   {
/*  52: 46 */     return this.color;
/*  53:    */   }
/*  54:    */   
/*  55:    */   public void setColor(int color)
/*  56:    */   {
/*  57: 50 */     this.color = color;
/*  58:    */   }
/*  59:    */   
/*  60:    */   public NodoCFG getPrevio()
/*  61:    */   {
/*  62: 54 */     return this.previo;
/*  63:    */   }
/*  64:    */   
/*  65:    */   public void setPrevio(NodoCFG previo)
/*  66:    */   {
/*  67: 58 */     this.previo = previo;
/*  68:    */   }
/*  69:    */   
/*  70:    */   public double getDistanciaMinima()
/*  71:    */   {
/*  72: 62 */     return this.distanciaMinima;
/*  73:    */   }
/*  74:    */   
/*  75:    */   public void setDistanciaMinima(double distanciaMinima)
/*  76:    */   {
/*  77: 66 */     this.distanciaMinima = distanciaMinima;
/*  78:    */   }
/*  79:    */   
/*  80:    */   public ArrayList<AristaCFG> getAristas()
/*  81:    */   {
/*  82: 70 */     return this.aristas;
/*  83:    */   }
/*  84:    */   
/*  85:    */   public void setAristas(ArrayList<AristaCFG> aristas)
/*  86:    */   {
/*  87: 74 */     this.aristas = aristas;
/*  88:    */   }
/*  89:    */   
/*  90:    */   public int compareTo(NodoCFG nodoCFG)
/*  91:    */   {
/*  92: 79 */     return Double.compare(this.distanciaMinima, nodoCFG.distanciaMinima);
/*  93:    */   }
/*  94:    */   
/*  95:    */   public void agregarAristas(AristaCFG... aristas)
/*  96:    */   {
/*  97: 83 */     for (AristaCFG arista : aristas) {
/*  98: 84 */       this.aristas.add(arista);
/*  99:    */     }
/* 100:    */   }
/* 101:    */   
/* 102:    */   public ArrayList<Punto> getUbicacionPiedras()
/* 103:    */   {
/* 104: 89 */     return this.ubicacionPiedras;
/* 105:    */   }
/* 106:    */   
/* 107:    */   public void setUbicacionPiedras(ArrayList<Punto> ubicacionPiedras)
/* 108:    */   {
/* 109: 93 */     this.ubicacionPiedras = ubicacionPiedras;
/* 110:    */   }
/* 111:    */   
/* 112:    */   public int getId()
/* 113:    */   {
/* 114: 98 */     return this.id;
/* 115:    */   }
/* 116:    */   
/* 117:    */   public void setId(int id)
/* 118:    */   {
/* 119:102 */     this.id = id;
/* 120:    */   }
/* 121:    */   
/* 122:    */   public NodoCFG(int libertades, int tamanio, int ojos, int color, ArrayList<Punto> ubicacionPiedras, int id)
/* 123:    */   {
/* 124:108 */     this.id = id;
/* 125:109 */     this.libertades = libertades;
/* 126:110 */     this.tamanio = tamanio;
/* 127:111 */     this.ojos = ojos;
/* 128:112 */     this.color = color;
/* 129:113 */     this.ubicacionPiedras = ubicacionPiedras;
/* 130:    */   }
/* 131:    */ }



/* Location:           C:\Users\Arturo\Documents\ProyectoIsing\ProyectoIsing\GoIsingAPI - copia\lib\GoIsingLibrary\

 * Qualified Name:     cs.cinvestav.NodoCFG

 * JD-Core Version:    0.7.0.1

 */