/*   1:    */ package cs.cinvestav;
/*   2:    */ 
/*   3:    */ import java.util.ArrayList;
/*   4:    */ import javax.swing.JPanel;
/*   5:    */ import net.miginfocom.swing.MigLayout;
/*   6:    */ 
/*   7:    */ public class Tablero
/*   8:    */   extends JPanel
/*   9:    */ {
/*  10:    */   private static final long serialVersionUID = 1L;
/*  11: 13 */   public static final Integer JUEGO_GO = Integer.valueOf(2);
/*  12: 15 */   public static final Integer TAMANO_CASILLA = Integer.valueOf(38);
/*  13: 17 */   public static final Integer TAMANO_CONTROL = Integer.valueOf(90);
/*  14: 18 */   public static final Integer TAMANO_MARGEN = Integer.valueOf(15);
/*  15: 20 */   public static final Integer NUMERO_ESTRATEGIAS = Integer.valueOf(3);
/*  16:    */   private Integer ancho;
/*  17:    */   private Integer alto;
/*  18:    */   private Integer juego;
/*  19:    */   private Casilla[][] casillas;
/*  20: 28 */   private JugadorBD jugadorBD = new JugadorBD();
/*  21:    */   
/*  22:    */   public Integer getAncho()
/*  23:    */   {
/*  24: 31 */     return this.ancho;
/*  25:    */   }
/*  26:    */   
/*  27:    */   public void setAncho(Integer ancho)
/*  28:    */   {
/*  29: 35 */     this.ancho = ancho;
/*  30:    */   }
/*  31:    */   
/*  32:    */   public Integer getAlto()
/*  33:    */   {
/*  34: 39 */     return this.alto;
/*  35:    */   }
/*  36:    */   
/*  37:    */   public void setAlto(Integer alto)
/*  38:    */   {
/*  39: 43 */     this.alto = alto;
/*  40:    */   }
/*  41:    */   
/*  42:    */   public Integer getModoDibujo()
/*  43:    */   {
/*  44: 47 */     return this.juego;
/*  45:    */   }
/*  46:    */   
/*  47:    */   public void setModoDibujo(Integer modoDibujo)
/*  48:    */   {
/*  49: 51 */     this.juego = modoDibujo;
/*  50:    */   }
/*  51:    */   
/*  52:    */   public Tablero(Integer ancho, Integer alto, Integer modoDibujo)
/*  53:    */   {
/*  54: 56 */     this.ancho = ancho;
/*  55: 57 */     this.alto = alto;
/*  56: 58 */     this.juego = modoDibujo;
/*  57:    */     
/*  58: 60 */     setLayout(new MigLayout("gapx 0, gapy 0"));
/*  59:    */     
/*  60:    */ 
/*  61: 63 */     this.casillas = new Casilla[ancho.intValue()][alto.intValue()];
/*  62: 64 */     for (int x = 0; x < ancho.intValue(); x++) {
/*  63: 65 */       for (int y = 0; y < alto.intValue(); y++)
/*  64:    */       {
/*  65: 66 */         this.casillas[x][y] = new Casilla(Integer.valueOf(x), Integer.valueOf(y), this);
/*  66: 67 */         this.casillas[x][y].setSize(40, 40);
/*  67: 68 */         add(this.casillas[x][y], "cell " + x + " " + y + ", width " + TAMANO_CASILLA + ", height " + TAMANO_CASILLA);
/*  68:    */       }
/*  69:    */     }
/*  70:    */   }
/*  71:    */   
/*  72:    */   public Casilla[][] getCasillas()
/*  73:    */   {
/*  74: 76 */     return this.casillas;
/*  75:    */   }
/*  76:    */   
/*  77:    */   public void setCasillas(Casilla[][] casillas)
/*  78:    */   {
/*  79: 80 */     this.casillas = casillas;
/*  80:    */   }
/*  81:    */   
/*  82:    */   public JugadorBD getJugadorBD()
/*  83:    */   {
/*  84: 84 */     return this.jugadorBD;
/*  85:    */   }
/*  86:    */   
/*  87:    */   public void setJugadorBD(JugadorBD jugadorBD)
/*  88:    */   {
/*  89: 88 */     this.jugadorBD = jugadorBD;
/*  90:    */   }
/*  91:    */   
/*  92:    */   public ArrayList<Integer> getPattern()
/*  93:    */   {
/*  94: 92 */     ArrayList<Integer> pattern = new ArrayList();
/*  95: 94 */     for (int y = 0; y < this.alto.intValue(); y++) {
/*  96: 95 */       for (int x = 0; x < this.ancho.intValue(); x++) {
/*  97: 96 */         pattern.add(Integer.valueOf((int)this.casillas[x][y].getJugador()));
/*  98:    */       }
/*  99:    */     }
/* 100:100 */     return pattern;
/* 101:    */   }
/* 102:    */   
/* 103:    */   public Casilla getCasilla(int x, int y)
/* 104:    */   {
/* 105:104 */     return this.casillas[x][y];
/* 106:    */   }
/* 107:    */   
/* 108:    */   public void setEnabled(boolean enabled)
/* 109:    */   {
/* 110:109 */     for (int x = 0; x < this.ancho.intValue(); x++) {
/* 111:110 */       for (int y = 0; y < this.alto.intValue(); y++) {
/* 112:111 */         this.casillas[x][y].setEnabled(enabled);
/* 113:    */       }
/* 114:    */     }
/* 115:    */   }
/* 116:    */ }



/* Location:           C:\Users\Arturo\Documents\ProyectoIsing\ProyectoIsing\GoIsingAPI - copia\lib\GoIsingLibrary\

 * Qualified Name:     cs.cinvestav.Tablero

 * JD-Core Version:    0.7.0.1

 */